Supprime les enregistrements spécifiés du catalogue
curl --request POST \
--url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/records/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/*+json' \
--data '[
"<string>"
]'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/records/delete"
payload = ["<string>"]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/*+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/*+json'},
body: JSON.stringify(['<string>'])
};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/records/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}CatalogRecords
Supprime les enregistrements spécifiés du catalogue
POST
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
records
/
delete
Supprime les enregistrements spécifiés du catalogue
Autorisations
The access token received from the authorization server in the OAuth 2.0 flow.
Paramètres de chemin
Identifiant du catalogue. Vous pouvez le trouver dans la liste de tous les catalogues.
Corps
application/*+jsonapplication/jsonapplication/json-patch+jsontext/json
Un tableau d’identifiants d’enregistrements à supprimer
Required array length:
1 - 5000 elementsRéponse
OK
Cette page vous a-t-elle été utile ?
⌘I
